Bug 1266633 - Upgrade instructions -- mount fails
Upgrade instructions -- mount fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
1.2.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 1.2.4
Assigned To: ceph-docs@redhat.com
ceph-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 18:58 EDT by Warren
Modified: 2015-12-18 05:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-18 05:23:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren 2015-09-25 18:58:50 EDT
https://access.stage.redhat.com/documentation/en/red-hat-ceph-storage/version-1.2.3/red-hat-ceph-storage-123-installation-guide-for-rhel-x86-64#ceph-upgrade

Chapter 19

Step 1 (the mount step):

reads

sudo mount <path_to_iso>/Ceph-<version>-RHEL-6.iso /mnt
#OR
sudo mount <path_to_iso>/Ceph-<version>-RHEL-7.iso /mnt


This fails to mount.  I think that these should read:

sudo mount -o loop <path_to_iso>/Ceph-<version>-RHEL-6.iso /mnt
#OR
sudo mount -o loop <path_to_iso>/Ceph-<version>-RHEL-7.iso /mnt
Comment 2 Ken Dreyer (Red Hat) 2015-09-25 20:22:41 EDT
This is true, on RHEL 6, we have to explicitly provide the "-o loop" option to "mount" when mounting an ISO.

On RHEL 7, this is not needed.
Comment 3 John Wilkins 2015-09-29 14:13:03 EDT
Added instruction in to the v1.2.3 branch. We don't support RHEL 6 on RHCS 1.3, so it is not mentioned there.

https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-installation-guide-rhel/commit/05173ceb361709529e82fd272b644ad4cb45f7d1
Comment 4 Nilamdyuti 2015-10-09 08:50:04 EDT
The commit mentioned in Comment 3 adds the "-o loop" option in Install Guide.

Added "-o loop" option in the Upgrade Guide in the following commit:

https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-installation-guide-rhel/commit/1d58e60112f1fbb183c9d0f98a3063d2a82e846a

Also, corrected the ISO names in both 1.2.3 Install and Upgrade Guides.

Here are the doc links:

1.2.3 Install Guide: https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-installation-guide-rhel/blob/v1.2.3/calamari.adoc#setting-up-your-administration-server

AND

1.2.3 Upgrade Guide: https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-installation-guide-rhel/blob/v1.2.3/red-hat-ceph-storage-upgrade.adoc
Comment 5 Tamil 2015-10-09 20:24:16 EDT
verified and it looks good!

Note You need to log in before you can comment on or make changes to this bug.